/* =====
ボタン
=========== */
.rounded-btn {
    display: inline-block;
    min-width: 200px;
    padding: 0.8em 1.6em;
    border-radius: 2em;
    border: 1px solid var(--section-yellow);
    /* background: var(--main-bg); */
    color: var(--main-color);
    text-align: center;
    text-decoration: none;
    line-height: 1.4em;
    position: relative;
    letter-spacing: 0.1em;
  }

  .rounded-btn--large{
    width: 100%;
    max-width: 300px;
    font-size: 1.8rem;
    font-family: 'メイリオ', Meiryo,'ヒラギノ角ゴシック','Hiragino Sans','Hiragino Kaku Gothic ProN','ヒラギノ角ゴ ProN W3',sans-serif;
  }
  .btns-center{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: auto;
    /* position: relative; */
  }
  .deg::after{
    /* display: inline-block; */
    content: "▶︎";
    margin-left: 0.3em;
    /* position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 20%; */
  }
  .btn-pink{
    background-color: var(--btn-red);
    color: #fff;
    letter-spacing: 0.1em;
    font-family: 'メイリオ', Meiryo,'ヒラギノ角ゴシック','Hiragino Sans','Hiragino Kaku Gothic ProN','ヒラギノ角ゴ ProN W3',sans-serif;
  }
	.btn-yellow{
		background-color:#ffd853;
	}

	/*受付予約のボタン*/
.btn-yellow {
	position: relative;
	text-decoration: none;
    outline: none;
    overflow: hidden;
}

/*キラッと光る*/
.btn-yellow::before {
	content: '';
    /*絶対配置でキラッと光るの位置を決める*/
	position: absolute;
	top: 0;
	left: -75%;
    /*キラッと光る形状*/
    width: 50%;
	height: 100%;
	background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
	transform: skewX(-25deg);
}
/*hoverした際の移動のアニメーション*/
.btn-yellow:hover::before {
	animation: shine 0.7s;
}

@keyframes shine {
	100% {
		left: 125%;
	}
}

	.btn-main-bg.slide {
		background: var(--main-bg);
		overflow: hidden;
  position: relative;
  z-index: 1;
	}

.btn-main-bg.slide::after {
  background: #ffd853;
  position: absolute;
  top: 0;
  left: 0;
  content: '';
  width: 100%;
  height: 100%;
  transform: scale(0, 1);
  transform-origin: left top;
  transition: .2s cubic-bezier(0.45, 0, 0.55, 1);
  z-index: -1;
}

.btn-main-bg.slide:hover {
  color: #fff;
}
.btn-main-bg.slide:hover::after {
  transform: scale(1, 1);
}



  .btn-copy{
    font-size: 1.5rem;
  }
  @media (max-width: 768px) {
    .rounded-btn--large{
      font-size: 1.6rem;
    }
  }
  @media (min-width: 769px) {
  .btn-deg1:before {
    top: 1.3em;
    left: 4.3em;
    background: var(--btn-yellow);width: 0;height: 0;border-left: 10px solid #fff;border-top: 3px solid transparent;border-bottom: 3px solid transparent;border-radius: 2px;position: absolute;transform: rotate(0deg);-moz-transform: rotate(0deg);-webkit-transform: rotate(0deg);-o-transform: rotate(0deg);-ms-transform: rotate(0deg);content: "";
  }
  .btn-deg2:before {
    top: 0.7em;
    left: 4.4em;background: var(--btn-yellow);width: 0;height: 0;border-left: 10px solid #fff;border-top: 3px solid transparent;border-bottom: 3px solid transparent;border-radius: 2px;position: absolute;transform: rotate(40deg);-moz-transform: rotate(40deg);-webkit-transform: rotate(40deg);-o-transform: rotate(40deg);-ms-transform: rotate(40deg);content: "";
  }
  .btn-deg3:before {
    top: 0.4em;
    left: 4.9em;background: var(--btn-yellow);width: 0;height: 0;border-left: 10px solid #fff;border-top: 3px solid transparent;border-bottom: 3px solid transparent;border-radius: 2px;position: absolute;transform: rotate(70deg);-moz-transform: rotate(70deg);-webkit-transform: rotate(70deg);-o-transform: rotate(70deg);-ms-transform: rotate(70deg);content: "";
  }
  }
  /* .btns-center >.btn + btn{
    margin-top: 20px;
  }
  @media (max-width: 768px) {
    .btns-center{
      flex-direction: row;
    }
  } */
